Katello - Bug #5846

unable to update content-view for activation keys
05/21/2014 12:03 AM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Partha Aji

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1097233 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1097233
Description of problem:

Unable to update cotent-view for activation keys.

Version-Release number of selected component (if applicable):
beta-snap4/2014-05-08.1

How reproducible:

Steps to Reproduce:

1. Have multiple cv's.

2. Create an activation key

3. Try updating the content-views

Actual results:
Updating the content-view would raise a success alert, but upon checking the content-view value in the Ul, it remains the same.

Expected results:
Updating content-view for activation-keys needs to be successful.
also there should be no alert when the content-view was actually not updated.

Additional info:

Associated revisions

Revision 0e8b8eb2 - 05/21/2014 01:09 AM - Partha Aji
Fixes #5846 - CV index sq| error

The readable pluck call in the Content Views Controller previously
didnot specify the table name for the id.

So a SQL error was being raised in the AK page

when a list of content views were requested from the server.

Fixed this by specifying the table name in the pluck call

Revision 33f6d941 - 05/21/2014 01:35 AM - Partha Aji
Merge pull request #4126 from parthaa/cv-fix

Fixes #5846 - CV index sql error

History

#1 - 05/21/2014 12:53 AM - Brad Buckingham
- Assignee changed from Thomas McKay to Partha Aji

- Triaged set to Yes
#2 - 05/21/2014 01:52 AM - Partha Aji
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:0e8b8eb285ad7{4566c961fcfofc038f5f7e52bb.

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
